/*
**    TP CPE Lyon
**    Copyright (C) 2014 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include "gui_interface.hpp"

namespace cpe
{
void gui_interface::set_grid_visible(bool is_visible)
{
    is_grid_visible=is_visible;
}
void gui_interface::set_gridposition_visible(bool is_visible)
{
    is_grid_position_visible=is_visible;
}
void gui_interface::set_colorpatch_visible(bool is_visible)
{
    is_colorpatch_visible=is_visible;
}
void gui_interface::set_curves_visible(bool is_visible)
{
    is_curve_visible=is_visible;
}

void gui_interface::set_surface_visible(bool is_visible)
{
    is_surface_visible=is_visible;
}

bool gui_interface::get_grid_visible() const
{
    return is_grid_visible;
}
bool gui_interface::get_gridposition_visible() const
{
    return is_grid_position_visible;
}
bool gui_interface::get_colorpatch_visible() const
{
    return is_colorpatch_visible;
}
bool gui_interface::get_curves_visible() const
{
    return is_curve_visible;
}
bool gui_interface::get_surface_visible() const
{
    return is_surface_visible;
}

}
