/*
**    TP CPE Lyon
**    Copyright (C) 2014 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#pragma once

#ifndef WINDOW_HPP
#define WINDOW_HPP

#include <QtGui/QMainWindow>

namespace Ui
{
  class MainWindow;
}
class glwidget;


class Window : public QMainWindow
{
  Q_OBJECT

  public:
  Window(QWidget *parent=0);
  ~Window();

  glwidget *glWidget;



  private:

  Ui::MainWindow *ui;



private slots:
  void quit_window();
  void set_wireframe(int is_active);

  void grid_checkbox_clicked();
  void gridposition_checkbox_clicked();


  void surface_checkbox_clicked();

};

#endif
